%global momorel 1

%global glib2_version 2.44
%global gtk3_version 3.20

Name:           gspell
Version:        1.8.1
Release:        %{momorel}m%{?dist}
Summary:        Spell-checking library for GTK+

License:        LGPLv2+
Group:		Applications/Text
URL:            https://wiki.gnome.org/Projects/gspell
Source0:        https://download.gnome.org/sources/%{name}/1.8/%{name}-%{version}.tar.xz
NoSource:	0

BuildRequires:  gettext
BuildRequires:  gobject-introspection-devel
BuildRequires:  pkgconfig(enchant-2)
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires:  pkgconfig(iso-codes)
BuildRequires:  vala

Requires:       glib2%{?_isa} >= %{glib2_version}
Requires:       gtk3%{?_isa} >= %{gtk3_version}
Requires:       iso-codes

%description
gspell provides a flexible API to implement the spell checking
in a GTK+ application.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        API documentation for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description    doc
This package contains the full API documentation for %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -delete

%find_lang gspell-1


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f gspell-1.lang
%{_bindir}/gspell-app1
%{_libdir}/girepository-1.0/
%{_libdir}/libgspell-1.so.2*

%files devel
%{_includedir}/gspell-1/
%{_libdir}/libgspell-1.so
%{_libdir}/pkgconfig/gspell-1.pc
%{_datadir}/gir-1.0/
%{_datadir}/vala/

%files doc
%{_datadir}/gtk-doc/


%changelog
* Mon Sep 17 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.8.1-1m)
- update 1.8.1

* Sun May 28 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.1-1m)
- update 1.5.1

* Wed Mar  8 2017 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.3.3-1m)
- import from fc26 for gedit
